Bug 240608 - option for mirroring objects
Summary: option for mirroring objects
Status: RESOLVED FIXED
Alias: None
Product: karbon
Classification: Unclassified
Component: general (show other bugs)
Version: 2.1
Platform: Archlinux Packages Linux
: NOR wishlist (vote)
Target Milestone: ---
Assignee: Jan Hambrecht
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2010-06-03 15:54 UTC by Sebastian
Modified: 2011-04-06 00:08 UTC (History)
1 user (show)

See Also:
Latest Commit:
Version Fixed In:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Sebastian 2010-06-03 15:54:18 UTC
Version:           2.1 (using KDE 4.4.3) 
OS:                Linux

There currently is no option for mirroring objects (at least I can't find one)

Reproducible: Didn't try
Comment 1 Jan Hambrecht 2011-03-19 22:20:02 UTC
You can mirror objects by scaling them with -1. But i agree that is not really usable, a shorter an easier way should be added.
Comment 2 acidrums4 2011-04-01 20:16:36 UTC
(In reply to comment #1)
> You can mirror objects by scaling them with -1. But i agree that is not really
> usable, a shorter an easier way should be added.

How do you do this, in Geometry? Tried here but changing X or Y to "-1" converts it measure to "1". Tried also adding only the "-" symbol but it rotates the object 180°.
Comment 3 Jan Hambrecht 2011-04-01 22:42:50 UTC
On Friday 01 April 2011 20:16:37 acidrums4@gmail.com wrote:
> https://bugs.kde.org/show_bug.cgi?id=240608
> 
> 
> acidrums4@gmail.com changed:
> 
>            What    |Removed                     |Added
> ---------------------------------------------------------------------------
> - CC|                            |acidrums4@gmail.com
> 
> 
> 
> 
> --- Comment #2 from  <acidrums4 gmail com>  2011-04-01 20:16:36 ---
> (In reply to comment #1)
> 
> > You can mirror objects by scaling them with -1. But i agree that is not
> > really usable, a shorter an easier way should be added.
> 
> How do you do this, in Geometry? Tried here but changing X or Y to "-1"
> converts it measure to "1". Tried also adding only the "-" symbol but it
> rotates the object 180°.

Yes you are right, what I wrote is not correct. In the "Geometry" docker you 
have to put a negative sign before the current value for width/height (next to 
the x/y controls). That will mirror the objects and will update the 
width/height back to positive values.

Ciao Jan
Comment 4 acidrums4 2011-04-01 23:07:41 UTC
(In reply to comment #3)
> On Friday 01 April 2011 20:16:37 acidrums4@gmail.com wrote:
> > https://bugs.kde.org/show_bug.cgi?id=240608
> > 
> > 
> > acidrums4@gmail.com changed:
> > 
> >            What    |Removed                     |Added
> > ---------------------------------------------------------------------------
> > - CC|                            |acidrums4@gmail.com
> > 
> > 
> > 
> > 
> > --- Comment #2 from  <acidrums4 gmail com>  2011-04-01 20:16:36 ---
> > (In reply to comment #1)
> > 
> > > You can mirror objects by scaling them with -1. But i agree that is not
> > > really usable, a shorter an easier way should be added.
> > 
> > How do you do this, in Geometry? Tried here but changing X or Y to "-1"
> > converts it measure to "1". Tried also adding only the "-" symbol but it
> > rotates the object 180°.
> 
> Yes you are right, what I wrote is not correct. In the "Geometry" docker you 
> have to put a negative sign before the current value for width/height (next to 
> the x/y controls). That will mirror the objects and will update the 
> width/height back to positive values.
> 
> Ciao Jan

But seems that it works only for 'artistic text'; sometimes it only rotates objects 180° or only translates the shape (for example, with paths)... I've tried also with arrows and another 'special shapes': works, but when you click another thing (an empty area of drawing, for example) it returns to its original rotation/flip.
Comment 5 Jan Hambrecht 2011-04-01 23:15:41 UTC
On Friday 01 April 2011 23:07:42 acidrums4@gmail.com wrote:
> https://bugs.kde.org/show_bug.cgi?id=240608
> 
> 
> 
> 
> 
> --- Comment #4 from  <acidrums4 gmail com>  2011-04-01 23:07:41 ---
> (In reply to comment #3)
> 
> > On Friday 01 April 2011 20:16:37 acidrums4@gmail.com wrote:
> > > https://bugs.kde.org/show_bug.cgi?id=240608
> > > 
> > > acidrums4@gmail.com changed:
> > >            What    |Removed                     |Added
> > > 
> > > -----------------------------------------------------------------------
> > > ---- - CC|                            |acidrums4@gmail.com
> > > 
> > > 
> > > 
> > > 
> > > --- Comment #2 from  <acidrums4 gmail com>  2011-04-01 20:16:36 ---
> > > (In reply to comment #1)
> > > 
> > > > You can mirror objects by scaling them with -1. But i agree that is
> > > > not really usable, a shorter an easier way should be added.
> > > 
> > > How do you do this, in Geometry? Tried here but changing X or Y to "-1"
> > > converts it measure to "1". Tried also adding only the "-" symbol but
> > > it rotates the object 180°.
> > 
> > Yes you are right, what I wrote is not correct. In the "Geometry" docker
> > you have to put a negative sign before the current value for
> > width/height (next to the x/y controls). That will mirror the objects
> > and will update the width/height back to positive values.
> > 
> > Ciao Jan
> 
> But seems that it works only for 'artistic text'; sometimes it only rotates
> objects 180° or only translates the shape (for example, with paths)... I've
> tried also with arrows and another 'special shapes': works, but when you
> click another thing (an empty area of drawing, for example) it returns to
> its original rotation/flip.

Indeed, you are right. Seems like a real bug after all. I will have to 
investigate.

Ciao Jan
Comment 6 acidrums4 2011-04-01 23:24:20 UTC
(In reply to comment #5)
> On Friday 01 April 2011 23:07:42 acidrums4@gmail.com wrote:
> > https://bugs.kde.org/show_bug.cgi?id=240608
> > --- Comment #4 from  <acidrums4 gmail com>  2011-04-01 23:07:41 ---
> > (In reply to comment #3)
> > 
> > > On Friday 01 April 2011 20:16:37 acidrums4@gmail.com wrote:
> > > > https://bugs.kde.org/show_bug.cgi?id=240608
> > > > 
> > > > (In reply to comment #1)
> > > > 
> > > > > You can mirror objects by scaling them with -1. But i agree that is
> > > > > not really usable, a shorter an easier way should be added.
> > > > 
> > > > How do you do this, in Geometry? Tried here but changing X or Y to "-1"
> > > > converts it measure to "1". Tried also adding only the "-" symbol but
> > > > it rotates the object 180°.
> > > 
> > > Yes you are right, what I wrote is not correct. In the "Geometry" docker
> > > you have to put a negative sign before the current value for
> > > width/height (next to the x/y controls). That will mirror the objects
> > > and will update the width/height back to positive values.
> > > 
> > > Ciao Jan
> > 
> > But seems that it works only for 'artistic text'; sometimes it only rotates
> > objects 180° or only translates the shape (for example, with paths)... I've
> > tried also with arrows and another 'special shapes': works, but when you
> > click another thing (an empty area of drawing, for example) it returns to
> > its original rotation/flip.
> 
> Indeed, you are right. Seems like a real bug after all. I will have to 
> investigate.
> 
> Ciao Jan

Thanks for your attention! Hope a fix soon :)
Comment 7 Jan Hambrecht 2011-04-02 10:14:24 UTC
Git commit dd4df4129b7f5c5f0911085e958e2ce8c599caac by Jan Hambrecht.
Committed on 02/04/2011 at 10:16.
Pushed by jaham into branch 'master'.

fix mirroring shapes via the geometry docker

CCBUG:240608

M  +3    -3    plugins/defaultTools/defaulttool/DefaultToolWidget.cpp     

http://commits.kde.org/calligra/dd4df4129b7f5c5f0911085e958e2ce8c599caac
Comment 8 Jan Hambrecht 2011-04-06 00:08:58 UTC
Git commit 82dda679d06bd162ae0140c28c4d7b7779aefc47 by Jan Hambrecht.
Committed on 06/04/2011 at 00:12.
Pushed by jaham into branch 'master'.

added actions to mirror selected objects vertically/horizontally

BUG:240608

M  +2    -0    karbon/data/karbon.rc     
M  +74   -3    karbon/ui/KarbonView.cpp     
M  +4    -1    karbon/ui/KarbonView.h     

http://commits.kde.org/calligra/82dda679d06bd162ae0140c28c4d7b7779aefc47